<?xml version="1.0" encoding="utf-8"?>
<metadata>
	<layout title="com_tags_tags_view_default_title" option="com_tags_tag_view_default_option">
		<help
			key="JHELP_MENUS_MENU_ITEM_TAGS_ITEMS_LIST_ALL"
		/>
		<message>
			<![CDATA[com_tags_tags_view_default_desc]]>
		</message>
	</layout>
	<!-- Add fields to the request variables for the layout. -->
	<fields name="request">
		<fieldset name="request">
		
			<field 
				name="parent_id" 
				type="tag" 
				mode="nested"
				label="COM_TAGS_FIELD_PARENT_TAG_LABEL"
				description="COM_TAGS_FIELD_PARENT_TAG_DESC"
			>
				<option value="">JNONE</option>
				<option value="1">JGLOBAL_ROOT</option>
			</field>
			
			<field 
				name="tag_list_language_filter"
				type="contentlanguage"
				default=""
				label="COM_TAGS_FIELD_LANGUAGE_FILTER_LABEL"
				description="COM_TAGS_FIELD_LANGUAGE_FILTER_DESC"
			>
					<option value="">JGLOBAL_USE_GLOBAL</option>
					<option value="all">JALL</option>
					<option value="current_language">JCURRENT</option>
			</field>
			
		</fieldset>
	</fields>
	<!-- Add fields to the parameters object for the layout. -->
	<fields name="params">
		<fieldset name="basic">
			
			<field
				name="tag_columns"
				type="text"
				label="COM_TAGS_COMPACT_COLUMNS_LABEL"
				description="COM_TAGS_NUMBER_COLUMNS_DESC"
				default="4"
				filter="integer"
			/>

			<field 
				name="all_tags_description" 
				type="textarea"
				label="COM_TAGS_SHOW_ALL_TAGS_DESCRIPTION_LABEL"
				description="COM_TAGS_ALL_TAGS_DESCRIPTION_DESC"				
				class="inputbox"
				rows="3" 
				cols="30" 
				filter="safehtml"
			/>

			<field 
				name="all_tags_show_description_image" 
				type="list"
				label="COM_TAGS_SHOW_ALL_TAGS_IMAGE_LABEL"
				description="COM_TAGS_SHOW_ALL_TAGS_IMAGE_DESC"				
			>
				<option value="">JGLOBAL_USE_GLOBAL</option>
				<option value="0">JHIDE</option>
				<option value="1">JSHOW</option>
			</field>

			<field 
				name="all_tags_description_image" 
				type="media"
				label="COM_TAGS_ALL_TAGS_MEDIA_LABEL"
				description="COM_TAGS_ALL_TAGS_MEDIA_DESC"
			/>

			<field 
				name="all_tags_orderby"
				type="list"
				label="JGLOBAL_FIELD_FIELD_ORDERING_LABEL"
				description="JGLOBAL_FIELD_FIELD_ORDERING_DESC"
			>
					<option value="">JGLOBAL_USE_GLOBAL</option>
					<option value="title">JGLOBAL_TITLE</option>
					<option value="hits">JGLOBAL_HITS</option>
					<option value="created_time">JGLOBAL_CREATED_DATE</option>
					<option value="modified_time">JGLOBAL_MODIFIED_DATE</option>
					<option value="publish_up">JGLOBAL_PUBLISHED_DATE</option>
			</field>

			<field 
				name="all_tags_orderby_direction" 
				type="list"
				label="JGLOBAL_ORDER_DIRECTION_LABEL"
				description="JGLOBAL_ORDER_DIRECTION_DESC"
			>
				<option value="">JGLOBAL_USE_GLOBAL</option>
				<option value="ASC">JGLOBAL_ORDER_ASCENDING</option>
				<option value="DESC">JGLOBAL_ORDER_DESCENDING</option>
			</field>

			<field 
				name="all_tags_show_tag_image" 
				type="list"
				label="COM_TAGS_SHOW_ITEM_IMAGE_LABEL"
				description="COM_TAGS_SHOW_ITEM_IMAGE_DESC"
			>
				<option value="">JGLOBAL_USE_GLOBAL</option>
				<option value="0">JHIDE</option>
				<option value="1">JSHOW</option>
			</field>

			<field 
				name="all_tags_show_tag_description" 
				type="list"
				label="COM_TAGS_SHOW_ITEM_DESCRIPTION_LABEL"
				description="COM_TAGS_SHOW_ITEM_DESCRIPTION_DESC"
			>
				<option value="">JGLOBAL_USE_GLOBAL</option>
				<option value="0">JHIDE</option>
				<option value="1">JSHOW</option>
			</field>

			<field
				name="all_tags_tag_maximum_characters"
				type="text"
				filter="integer"
				label="COM_TAGS_LIST_MAX_CHARACTERS_LABEL"
				description="COM_TAGS_LIST_MAX_CHARACTERS_DESC"
			/>

			<field 
				name="all_tags_show_tag_hits" 
				type="list"
				label="JGLOBAL_HITS"
				description="COM_TAGS_FIELD_CONFIG_HITS_DESC"
			>
				<option value="">JGLOBAL_USE_GLOBAL</option>
				<option value="0">JHIDE</option>
				<option value="1">JSHOW</option>
			</field>
			
		</fieldset>
		<fieldset 
			name="selection" 
			label="COM_TAGS_LIST_ALL_SELECTION_OPTIONS"> 
			
			<field
				name="maximum"
				type="text"
				default="200"
				filter="integer"
				label="COM_TAGS_LIST_MAX_LABEL"
				description="COM_TAGS_LIST_MAX_DESC"
			/>
			<field
				name="filter_field"
				type="list"
				default=""
				label="JGLOBAL_FILTER_FIELD_LABEL"
				description="JGLOBAL_FILTER_FIELD_DESC"
			>
				<option value="">JGLOBAL_USE_GLOBAL</option>
				<option value="0">JHIDE</option>
				<option value="1">JSHOW</option>
			</field>

			
			<field	
				name="show_pagination_limit" 
				type="list"
				label="JGLOBAL_DISPLAY_SELECT_LABEL"
				description="JGLOBAL_DISPLAY_SELECT_DESC"
			>
				<option value="">JGLOBAL_USE_GLOBAL</option>
				<option value="0">JHIDE</option>
				<option value="1">JSHOW</option>
			</field>
			
			<field 
				name="show_pagination" 
				type="list"
				label="JGLOBAL_PAGINATION_LABEL"
				description="JGLOBAL_PAGINATION_DESC"				
			>
				<option value="">JGLOBAL_USE_GLOBAL</option>
				<option value="0">JHIDE</option>
				<option value="1">JSHOW</option>
				<option value="2">JGLOBAL_AUTO</option>
			</field>

			<field 
				name="show_pagination_results" 
				type="list"
				label="JGLOBAL_PAGINATION_RESULTS_LABEL"
				description="JGLOBAL_PAGINATION_RESULTS_DESC"
			>
					<option value="">JGLOBAL_USE_GLOBAL</option>
					<option value="0">JHIDE</option>
					<option value="1">JSHOW</option>
			</field>
			
		</fieldset>
		<fieldset name="integration">
			
			<field 
				name="show_feed_link" 
				type="list"
				label="JGLOBAL_SHOW_FEED_LINK_LABEL"
				description="JGLOBAL_SHOW_FEED_LINK_DESC"
			>
				<option value="">JGLOBAL_USE_GLOBAL</option>
				<option value="0">JHIDE</option>
				<option value="1">JSHOW</option>
			</field>

		</fieldset>
	</fields>
</metadata>